# Gitea Actions

## Installation:

Install [Gitea Actions Webscraper](https://codeberg.org/Benjamin_Loison/Gitea_Actions_Webscraper) dependency by running:

```
pip install gitea_actions_webscraper
```

## Configuration:

Modify [`config.py` `i_like_gitea` cookie](https://gitea.lemnoslife.com/LemnosLife/Gitea_Actions/src/commit/ddf19cd33414d778598bb0dbe00ab46e3ca1aae1/config.py#L3) that you can obtain with the `Network` tab (`Ctrl` + `Shift` + `E` with Firefox) when refreshting [the actions webpage](https://gitea.lemnoslife.com/LemnosLife/LemnosLife_Client_chat_majeste/actions).

## Usage:

- `./gitea_actions.py check_compilation -m 'Check compilation' -a` which commits, pushes and waits for action execution and returns if compilation successful or the error otherwise
- `./gitea_actions.py compile -m 'Compile' -a` which additionally downloads the associated binary
- `./gitea_actions.py compile_and_run -m 'Compile and run' -a` which additionally runs the associated binary
